package label_tagging

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_tagging"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_tagging label_tagging GetLabelTaggingById
//
// Get label tagging by ID | 通过ID获取LabelTagging信息
//
// Get label tagging by ID | 通过ID获取LabelTagging信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: LabelTaggingInfoResp

func GetLabelTaggingByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_tagging.NewGetLabelTaggingByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetLabelTaggingById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
